Skip to main content
`Ctrl`+`K`

# MatSTRUMPACKSetCompMinSepSize

Set STRUMPACK https://portal.nersc.gov/project/sparse/strumpack/master minimum separator size for low-rank approximation

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKSetCompMinSepSize(Mat F, PetscInt min_sep_size)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()` from PETSc-STRUMPACK interface

- min_sep_size - minimum dense matrix size for low-rank approximation

## Options Database Key

- -mat_strumpack_compression_min_sep_size <min_sep_size> - Minimum size of dense sub-block for low-rank compression

## See Also

`MATSOLVERSTRUMPACK`, `MatGetFactor()`, `MatSTRUMPACKGetCompMinSepSize()`

## Level

intermediate

## Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

## Examples

src/ksp/ksp/tutorials/ex52.c

## Implementations

MatSTRUMPACKSetCompMinSepSize_STRUMPACK() in src/mat/impls/aij/mpi/strumpack/strumpack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages